
/*
 * See the files COPYING and README for copyright information and how to reach 
 * the author.
 *
 *  $Id: process-dvd.h,v 1.1.1.1 2004/11/19 16:45:31 lordjaxom Exp $
 */

#ifndef VDR_BURN_PROCESS_DVD_H
#define VDR_BURN_PROCESS_DVD_H

#include "process.h"

class cBurnJob;
class cBurnRender;

class cBurnProcessDVD:
    public cBurnProcess
{
  private:
    enum eStepDVD
    {
        sdVdrsync,
        sdRequant,
        sdTcmplex,
        sdDvdmenu,
        sdDvdauthor,
        sdGrowisofs,
        __DVD_COUNT__
    };

    int mNumTracks;
    int mTrack;
    double mFactor;
    double mSizeMB;
    cBurnRender *mRender;

  protected:
    virtual void Process(int Step, int SubStep, const char *Line);
    virtual bool Continue(int Step, int SubStep);

    virtual double SizeMB();

    virtual void InitRepeat();
  public:
    cBurnProcessDVD(cBurnJob *Job);
    virtual ~cBurnProcessDVD();
};

#endif // VDR_BURN_PROCESS_DVD_H
